Package com.independentsoft.office.word

# Class MoveFromRangeEnd

java.lang.Object
com.independentsoft.office.word.Markup
com.independentsoft.office.word.MarkupRange
com.independentsoft.office.word.MoveFromRangeEnd

All Implemented Interfaces:
  `IContentElement`, `IBlockContent`, `IBlockElement`, `IContentRunContent`, `IParagraphContent`, `IRangeMarkupElement`, `IRunLevelElement`, `IRunTrackChangeContent`, `IMathElement`, `ICellContent`, `IRowContent`

public class MoveFromRangeEnd extends MarkupRange
The Class MoveFromRangeEnd.

- ## Field Summary

  ### Fields inherited from class com.independentsoft.office.word.MarkupRange

  `displacedByCustomXml`

  ### Fields inherited from class com.independentsoft.office.word.Markup

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MoveFromRangeEnd()`
  Instantiates a new move from range end.
  `MoveFromRangeEnd​(InternalXMLStreamReader reader)`
  Instantiates a new move from range end.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MoveFromRangeEnd`
  `clone()`
  `List<IContentElement>`
  `getContentElements()`
  `String`
  `toString()`

  ### Methods inherited from class com.independentsoft.office.word.MarkupRange

  `getDisplacedByCustomXml, setDisplacedByCustomXml`

  ### Methods inherited from class com.independentsoft.office.word.Markup

  `getID, setID`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MoveFromRangeEnd

    public MoveFromRangeEnd()
    Instantiates a new move from range end.

  - ### MoveFromRangeEnd

    public MoveFromRangeEnd​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new move from range end.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### getContentElements

    public List<IContentElement> getContentElements()
    Specified by:
      `getContentElements` in interface `IContentElement`
    Specified by:
      `getContentElements` in class `MarkupRange`

  - ### clone

    public MoveFromRangeEnd clone()
    Specified by:
      `clone` in interface `IBlockContent`
    Specified by:
      `clone` in interface `IBlockElement`
    Specified by:
      `clone` in interface `ICellContent`
    Specified by:
      `clone` in interface `IContentElement`
    Specified by:
      `clone` in interface `IContentRunContent`
    Specified by:
      `clone` in interface `IMathElement`
    Specified by:
      `clone` in interface `IParagraphContent`
    Specified by:
      `clone` in interface `IRangeMarkupElement`
    Specified by:
      `clone` in interface `IRowContent`
    Specified by:
      `clone` in interface `IRunLevelElement`
    Specified by:
      `clone` in interface `IRunTrackChangeContent`
    Specified by:
      `clone` in class `MarkupRange`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`